org.apache.lucene.util.fst

## Enum FST.INPUT_TYPE

- java.lang.Object
- - java.lang.Enum<FST.INPUT_TYPE>
  - - org.apache.lucene.util.fst.FST.INPUT_TYPE

All Implemented Interfaces:
  Serializable, Comparable<FST.INPUT_TYPE>

Enclosing class:
  FST<T>

    public static enum FST.INPUT_TYPE
    extends Enum<FST.INPUT_TYPE>

Specifies allowed range of each int input label for this FST.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BYTE1`
`BYTE2`
`BYTE4`

### Method Summary

All Methods Static Methods Concrete Methods
`static FST.INPUT_TYPE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FST.INPUT_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BYTE1

    public static final FST.INPUT_TYPE BYTE1

#### BYTE2

    public static final FST.INPUT_TYPE BYTE2

#### BYTE4

    public static final FST.INPUT_TYPE BYTE4

### Method Detail

#### values

    public static FST.INPUT_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FST.INPUT_TYPE c : FST.INPUT_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FST.INPUT_TYPE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null